> ## Documentation Index
> Fetch the complete documentation index at: https://developer.onecodex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve A Sequencing Batch

GET a single Sequencing Batch by its ID.


## OpenAPI

````yaml GET /api/v1/sequencing/batches/{id}
openapi: 3.1.0
info:
  description: >-
    The One Codex API (v1) -- programmatic access to One Codex's suite of
    microbial genomics data storage, analysis, and query tools.
  title: One Codex API (v1)
  version: v1
servers:
  - url: https://app.onecodex.com
security:
  - apiKeyAuth: []
paths:
  /api/v1/sequencing/batches/{id}:
    get:
      summary: GET sequencing batches
      operationId: get_sequencing_batches
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/sequencing_batches'
          description: OK
components:
  schemas:
    sequencing_batches:
      properties:
        $uri:
          example: /api/v1/sequencing/batches/0d77065796f8d173
          pattern: ^/api/v1/sequencing/batches/[a-f0-9]{16}$
          readOnly: true
          title: $Uri
          type: string
        batch_number:
          description: A unique batch number.
          title: Batch Number
          type: string
        created_at:
          description: >-
            Timestamp for when the object was created on the One Codex platform,
            encoded as a [RFC 3339](https://www.ietf.org/rfc/rfc3339.txt)
            timestamp.
          format: date-time
          title: Created At
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
          description: A human-readable name for the sequencing batch.
          title: Name
        owner:
          description: The user that created the sequencing batch.
          properties:
            __DOLLAR_REF__:
              example: /api/v1/users/a1b2c3d4e5f67890
              format: uri
              pattern: ^/api/v1/users/[a-f0-9]{16}$
              type: string
          title: users
          type: object
        status:
          description: The current status of the sequencing batch.
          enum:
            - registered
            - shipped_to_lab
            - received_at_lab
            - extracting
            - preparing_library
            - sequencing
            - quality_control
            - done
            - canceled
          title: Status
          type: string
      required:
        - $uri
        - batch_number
        - created_at
        - name
        - owner
        - status
      title: sequencing/batches
      type: object
  securitySchemes:
    apiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````